package pwc.taxtech.atms.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import pwc.taxtech.atms.common.XSSUtil;
import pwc.taxtech.atms.service.impl.FileService;
import pwc.taxtech.atms.service.impl.HttpFileService;
import pwc.taxtech.atms.vat.service.impl.FileUploadAdapter;

import static pwc.taxtech.atms.constant.Constant.TEMP_FILE_NAME;

@RestController
@RequestMapping("/api/v1/FileUpload")
public class FileUploadController {
    @Autowired
    private FileUploadAdapter fileUploadAdapter;
    @Autowired
    private FileService fileService;

    @Autowired
    private HttpFileService httpFileService;

    @RequestMapping(value = "NewFile", method = RequestMethod.POST, produces = MediaType.MULTIPART_FORM_DATA_VALUE)
    public ResponseEntity getInputInvoiceTreeViewData(MultipartHttpServletRequest request) {
        XSSUtil.cleanXSS(request.getParameter(TEMP_FILE_NAME));
//        request.getpa
        return fileUploadAdapter.upload(request);
    }

}
