package pwc.taxtech.atms.dto.backlogManage;



import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class BackloGroupEditParam implements Serializable {


    private static final long serialVersionUID = -2166912938715658615L;

    private Long id;

    @NotBlank(message = "BGLEditColumnNameError")
    private String name;

    private String groupCode;

    @NotNull(message = "BGLEditColumnAutoFlagError")
    private Boolean autoFlag;

    @NotNull(message = "BGLEditColumnGenerateTypeError")
    private Integer generateType;

    private String describe;

    private String businessLineId;

    private String orgId;

    @NotBlank(message = "BGLEditColumnTimeZoneError")
    private String timeZone;

    private String status;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public Boolean getAutoFlag() {
        return autoFlag;
    }

    public void setAutoFlag(Boolean autoFlag) {
        this.autoFlag = autoFlag;
    }

    public Integer getGenerateType() {
        return generateType;
    }

    public void setGenerateType(Integer generateType) {
        this.generateType = generateType;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getBusinessLineId() {
        return businessLineId;
    }

    public void setBusinessLineId(String businessLineId) {
        this.businessLineId = businessLineId;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(String timeZone) {
        this.timeZone = timeZone;
    }
}
