package pwc.taxtech.atms.dto.backlogManage;

import pwc.taxtech.atms.constant.enums.BackLogEnum;
import pwc.taxtech.atms.dto.didiFileUpload.DidiFileUploadDetailResult;
import pwc.taxtech.atms.vat.entity.BacklogLog;

import java.util.List;

public class BacklogLogResult extends BacklogLog {


    private static final long serialVersionUID = 6669139818953096896L;

    private List<DidiFileUploadDetailResult> fileUploads;

    private String dealUserName;

    private Boolean currUserFlag;

    public String getDealRoleStr(){
        return BackLogEnum.UserType.MAPPING.get(super.getDealRoleCode());
    }

    public String getDealUserName() {
        return dealUserName;
    }

    public void setDealUserName(String dealUserName) {
        this.dealUserName = dealUserName;
    }

    public Boolean getCurrUserFlag() {
        return currUserFlag;
    }

    public void setCurrUserFlag(Boolean currUserFlag) {
        this.currUserFlag = currUserFlag;
    }

    public List<DidiFileUploadDetailResult> getFileUploads() {
        return fileUploads;
    }

    public void setFileUploads(List<DidiFileUploadDetailResult> fileUploads) {
        this.fileUploads = fileUploads;
    }
}
