﻿systemConfigurationModule.directive('taxCalendarConfig', ['$log',
    function ($log) {
        'use strict';
        $log.debug('taxCalendarConfig.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/admin/systemConfiguration/calendarSetting/taxCalendarConfig/tax-calendar-config.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'TaxCalendarConfigController',
            link: function (scope, element) {
                //计算datagrid的高度
                scope.setTaxGridHeight = function () {
                    var pageHeight = $(document).height();
                    var pageSearchHeight = $('.taxCalendarHead').outerHeight();
                    var pageFastSearchHeight = $('.searchContainer').outerHeight();
                    var pageFooterHeight = $('.page-footer').outerHeight();
                    $('.grid-container').height(pageHeight - pageSearchHeight - pageFastSearchHeight - pageFooterHeight - 70);
                    var dataGridPagerHeight = $('.grid-head-search-container').outerHeight();
                    var subHeight = pageHeight - pageSearchHeight - pageFastSearchHeight - dataGridPagerHeight - pageFooterHeight;
                    scope.dataGridHeight = subHeight - 70;

                    try {
                        $('#dx-tax-calendar-data-grid').dxDataGrid('instance').repaint();
                    }
                    catch (e) {
                        console.log(e);
                    }
                };

                $(window).on('resize', function () {
                    scope.setTaxGridHeight();
                });
            }
        };
    }
]);