﻿// web service proxy for org
webservices.factory('taxCalendarEventService', ['$http', 'apiConfig', 'httpCacheService',
function ($http, apiConfig, httpCacheService) {
    'use strict';

    return {
        
        add: function (model) {
            return $http.post('/taxCalendarEvent/add', model, apiConfig.create());
        },

        update: function (model) {
            return $http.post('/taxCalendarEvent/update', model, apiConfig.create());
        }
        ,
        deleteEvent: function (model) {
            return $http.post('/taxCalendarEvent/delete', model, apiConfig.create());
        }
    };
}]);