package pwc.taxtech.atms.dto.backlogManage;

import pwc.taxtech.atms.dto.input.CamelPagingDto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class BacklogConfigQueryParam implements Serializable {


    private static final long serialVersionUID = 8135513558310864623L;

    private CamelPagingDto pageInfo;


    private String orgId;

    private String name;

    private String status;

    private Date startDate;

    private Date endDate;

    private String dealUser;

    private String auditUser;

    private String createUser;

    private Long backlogTypeParentId;

    private Long backlogTypeId;

    private Integer generateType;

    private List<Long> backlogTypeIds;

    private String code;

    private String groupCode;

    private Boolean fileFlag;

    private Long groupId;

    private Boolean hasGroup;

    private Long commonId;

    private String businessLineId;

    private String timeZone;

    private Boolean autoFlag;

    public Boolean getAutoFlag() {
        return autoFlag;
    }

    public void setAutoFlag(Boolean autoFlag) {
        this.autoFlag = autoFlag;
    }

    public String getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(String timeZone) {
        this.timeZone = timeZone;
    }

    public String getBusinessLineId() {
        return businessLineId;
    }

    public void setBusinessLineId(String businessLineId) {
        this.businessLineId = businessLineId;
    }

    public Long getCommonId() {
        return commonId;
    }

    public void setCommonId(Long commonId) {
        this.commonId = commonId;
    }

    public Boolean getHasGroup() {
        return hasGroup;
    }

    public void setHasGroup(Boolean hasGroup) {
        this.hasGroup = hasGroup;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public CamelPagingDto getPageInfo() {
        return pageInfo;
    }

    public void setPageInfo(CamelPagingDto pageInfo) {
        this.pageInfo = pageInfo;
    }

    public Integer getGenerateType() {
        return generateType;
    }

    public void setGenerateType(Integer generateType) {
        this.generateType = generateType;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getDealUser() {
        return dealUser;
    }

    public void setDealUser(String dealUser) {
        this.dealUser = dealUser;
    }

    public String getAuditUser() {
        return auditUser;
    }

    public void setAuditUser(String auditUser) {
        this.auditUser = auditUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public List<Long> getBacklogTypeIds() {
        return backlogTypeIds;
    }

    public void setBacklogTypeIds(List<Long> backlogTypeIds) {
        this.backlogTypeIds = backlogTypeIds;
    }

    public Long getBacklogTypeParentId() {
        return backlogTypeParentId;
    }

    public void setBacklogTypeParentId(Long backlogTypeParentId) {
        this.backlogTypeParentId = backlogTypeParentId;
    }

    public Long getBacklogTypeId() {
        return backlogTypeId;
    }

    public void setBacklogTypeId(Long backlogTypeId) {
        this.backlogTypeId = backlogTypeId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public Boolean getFileFlag() {
        return fileFlag;
    }

    public void setFileFlag(Boolean fileFlag) {
        this.fileFlag = fileFlag;
    }
}
